%define api 1
%define major 0
%define gi_version 1.0
%define libname %mklibname %{name} %{api} %{major}
%define giname %mklibname %{name}-gir %{gi_version}
%define develname %mklibname -d %name %api

Summary:	PolicyKit Authorization Framework
Name:		polkit
Version:	0.113
Release:	%mkrel 6
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/polkit
Source:		http://www.freedesktop.org/software/polkit/releases/%{name}-%{version}.tar.gz
Group:		System/Libraries
BuildRequires:	pkgconfig(expat)
BuildRequires:	pam-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(mozjs185)

Requires(pre):   rpm-helper >= 0.24.8-1
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Recommends:	%{name}-desktop-policy

Obsoletes:	polkit-desktop-policy

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package -n %{libname}
Group:		System/Libraries
Summary:	PolicyKit Authorization Framework
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %{giname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	polkit < 0.101-4

%description -n %{giname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for PolicyKit
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{giname} = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for PolicyKit.

%prep
%setup -q
%autopatch -p1

%build
libtoolize --copy --force; aclocal; autoheader; automake --add-missing --force-missing; autoconf
# enable-libsystemd-login is necessary to allow compile in sandbox
# otherwise there will be an error
%configure2_5x \
	--enable-gtk-doc \
	--disable-static \
	--libexecdir=%{_libexecdir}/polkit-1 \
	--enable-systemd=yes \
	--enable-libsystemd-login=yes

%make

%install
%makeinstall_std

%find_lang %{name}-%{api}

# we don't want these
find %{buildroot} -name "*.la" -delete

# (cg) Make the rules dir (this is where other packages should ship their rules)
mkdir -p %{buildroot}%{_datadir}/polkit-1/rules.d

# (cg) These rules should be package-owned, not admin owned.
mv %{buildroot}%{_sysconfdir}/polkit-1/rules.d/50-default.rules %{buildroot}%{_datadir}/polkit-1/rules.d/

%pre
%_pre_useradd polkitd %{_prefix}/lib/polkit-1 /sbin/nologin

%post
# (cg) Previous package enabled this but it's now purely dbus activated
rm -f %{_sysconfdir}/systemd/system/graphical.target.wants/polkitd.service
systemctl -q --system daemon-reload ||:
systemctl -q try-restart polkit.service ||:

%postun
%_postun_userdel polkitd

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}{,.*}

%files -n %{giname}
%{_libdir}/girepository-1.0/*-%{gi_version}.typelib

%files -f polkit-1.lang
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy
%attr(700,polkitd,root) %{_datadir}/polkit-1/rules.d
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%{_sysconfdir}/polkit-1
%attr(700,polkitd,root) %dir %{_sysconfdir}/polkit-1/rules.d
%{_bindir}/pkaction
%{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%{_bindir}/pkttyagent
%{_bindir}/pk-example-frobnicate
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%{_unitdir}/polkit.service

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*-%{gi_version}.gir
%{_includedir}/*


%changelog
* Wed Jun 08 2016 tv <tv> 0.113-6.mga6
+ Revision: 1020788
- no need for doble systemd BR
- adjust BRs for latest systemd

* Wed Apr 20 2016 tv <tv> 0.113-5.mga6
+ Revision: 1003784
- provides polkit-devel

* Sat Feb 20 2016 umeabot <umeabot> 0.113-4.mga6
+ Revision: 972455
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 luigiwalser <luigiwalser> 0.113-3.mga6
+ Revision: 897913
- reload unit file before restarting service

* Thu Jul 23 2015 luigiwalser <luigiwalser> 0.113-2.mga6
+ Revision: 856398
- restart polkit service on update if it is running (coling)

* Thu Jul 02 2015 luigiwalser <luigiwalser> 0.113-1.mga6
+ Revision: 849576
- 0.113 (fixes CVE-2015-4625)
- remove upstream patches

* Mon Jun 29 2015 wally <wally> 0.112-9.mga6
+ Revision: 847813
- add requires for gir pkg to devel pkg

* Wed Mar 04 2015 colin <colin> 0.112-8.mga5
+ Revision: 817633
- Fix memory leak fdo#88288

* Thu Jan 08 2015 colin <colin> 0.112-7.mga5
+ Revision: 809300
- Misc upstream cherry picks
- Add support for auth with systemd (user) activated session dbus (via logind)

* Wed Oct 15 2014 umeabot <umeabot> 0.112-6.mga5
+ Revision: 746493
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.112-5.mga5
+ Revision: 724953
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.112-4.mga5
+ Revision: 687710
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Sep 04 2014 colin <colin> 0.112-3.mga5
+ Revision: 671854
- Kill off the empty and obsolete desktop-policy subpackage

* Sat Oct 19 2013 umeabot <umeabot> 0.112-2.mga4
+ Revision: 535851
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 luigiwalser <luigiwalser> 0.112-1.mga4
+ Revision: 482687
- 0.112 (fixes CVE-2013-4288)

* Sun Aug 18 2013 joequant <joequant> 0.111-1.mga4
+ Revision: 467420
- Add enable-systemd-login to allow sandbox compile
- add systemd
- upgrade to 0.111

* Fri Jan 18 2013 fwang <fwang> 0.107-6.mga3
+ Revision: 389289
- eggdbus is not needed anymore

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.107-4.mga3
+ Revision: 340740
- further fix for automake 1.13
- fix for automake 1.13

* Fri Oct 19 2012 ovitters <ovitters> 0.107-3.mga3
+ Revision: 308217
- drop consolekit dependency

* Wed Sep 26 2012 mitya <mitya> 0.107-2.mga3
+ Revision: 298329
- Authenticate as root if e.g. the wheel group is empty (RedHat #834494)

* Sat Sep 08 2012 luigiwalser <luigiwalser> 0.107-1.mga3
+ Revision: 289804
- 0.107

* Sun Jul 08 2012 colin <colin> 0.106-2.mga3
+ Revision: 268917
- Fix permissions on rules.d dirs

* Wed Jun 27 2012 colin <colin> 0.106-1.mga3
+ Revision: 264420
- Really fix build requires
- Fix build requires
- Fix build
- Drop wheel group rules (replacements should go in other packages)
- Do not enable the service with systemd - it's dbus only now.
- Ensure polkitd runs as it's own user.

  + ovitters <ovitters>
    - update buildrequires
    - enable systemd
    - drop systemd patch due to new polkit version
    - new version 0.106
    - update source url

* Sat Apr 28 2012 tmb <tmb> 0.104-4.mga2
+ Revision: 233838
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 0.104-3.mga2
+ Revision: 227969
- Kill off excessive debug under systemd
- Convert systemd support to a patch which also tweaks dbus activation be systemd aware
- Add BR on gettext-devel due to autoconf

  + dmorgan <dmorgan>
    - Remove %%_postun_service macro, this is now handled by filetriggers

* Tue Jan 17 2012 wally <wally> 0.104-1.mga2
+ Revision: 197397
- new version 0.104
- clean .spec a bit

* Wed Nov 09 2011 wally <wally> 0.102-4.mga2
+ Revision: 165956
- get rid of .la files

* Tue Nov 01 2011 dmorgan <dmorgan> 0.102-3.mga2
+ Revision: 160951
- Fix scriplets ( mdv)

* Sat Oct 29 2011 dmorgan <dmorgan> 0.102-2.mga2
+ Revision: 159670
- Add systemd support (mdv)

  + fwang <fwang>
    - New version 0.102, drop merged patches

* Fri Jul 08 2011 cjw <cjw> 0.101-5.mga2
+ Revision: 120264
- add conflicts with old polkit on typelib package

* Fri Jul 08 2011 cjw <cjw> 0.101-4.mga2
+ Revision: 119991
- put gobject introspection typelibs in a separate package
- rebuild to add automatic typelib provides and deps

* Fri Jun 17 2011 dmorgan <dmorgan> 0.101-3.mga2
+ Revision: 108690
- Add default rules for desktop users

* Tue May 17 2011 misc <misc> 0.101-2.mga2
+ Revision: 99527
- fix #1298, CVE-2011-1485, polkit local root exploit, patches from
  upstream

* Fri Apr 15 2011 dams <dams> 0.101-1.mga1
+ Revision: 85554
- update to 0.101

  + rtp <rtp>
    - add bootstrap (to install libpolkit, one needs consolekit and to build
      consolekit one needs libpolkit-1-devel)

* Thu Jan 13 2011 dmorgan <dmorgan> 0.99-1.mga1
+ Revision: 10405
- imported package polkit

